/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package blanco.plugin.resourcebundle.resourcebundle;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[BlancoResourceBundleWizard]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 * 既知のロケール<BR>
 * <UL>
 * <LI>ja
 * </UL>
 */
public class BlancoResourceBundleWizardResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoResourceBundleWizardResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoResourceBundleWizard]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoResourceBundleWizardResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoResourceBundleWizard");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoResourceBundleWizardResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoResourceBundleWizard]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoResourceBundleWizardResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoResourceBundleWizard", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoResourceBundleWizardResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoResourceBundleWizard]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoResourceBundleWizardResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoResourceBundleWizard", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE02.TITLE]
     *
     * [blancoResourceBundleの紹介] (ja)<br>
     *
     * @return key[PAGE02.TITLE]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage02Title() {
        // 初期値として定義書の値を利用します。
        String strFormat = "blancoResourceBundleの紹介";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE02.TITLE");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE02.MSG001]
     *
     * [blancoResourceBundle は下記のようなツールです。] (ja)<br>
     *
     * @return key[PAGE02.MSG001]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage02Msg001() {
        // 初期値として定義書の値を利用します。
        String strFormat = "blancoResourceBundle は下記のようなツールです。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE02.MSG001");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE02.MSG002]
     *
     * [  1.プロパティファイル作成支援ツール] (ja)<br>
     *
     * @return key[PAGE02.MSG002]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage02Msg002() {
        // 初期値として定義書の値を利用します。
        String strFormat = "  1.プロパティファイル作成支援ツール";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE02.MSG002");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE02.MSG003]
     *
     * [    プロパティファイルの作成を支援します。もはやnative2asciiを呼び出す必要はなくなります。] (ja)<br>
     *
     * @return key[PAGE02.MSG003]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage02Msg003() {
        // 初期値として定義書の値を利用します。
        String strFormat = "    プロパティファイルの作成を支援します。もはやnative2asciiを呼び出す必要はなくなります。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE02.MSG003");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE02.MSG004]
     *
     * [  2.ソースコード生成タイプ] (ja)<br>
     *
     * @return key[PAGE02.MSG004]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage02Msg004() {
        // 初期値として定義書の値を利用します。
        String strFormat = "  2.ソースコード生成タイプ";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE02.MSG004");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE02.MSG005]
     *
     * [    java.text.MessageFormatのパターンに従い、パターンに従ったメッセージ取得メソッドを生成します。] (ja)<br>
     *
     * @return key[PAGE02.MSG005]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage02Msg005() {
        // 初期値として定義書の値を利用します。
        String strFormat = "    java.text.MessageFormatのパターンに従い、パターンに従ったメッセージ取得メソッドを生成します。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE02.MSG005");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE02.MSG006]
     *
     * [    実行時に特定のライブラリ(*.jar)ファイルを必要としません。] (ja)<br>
     *
     * @return key[PAGE02.MSG006]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage02Msg006() {
        // 初期値として定義書の値を利用します。
        String strFormat = "    実行時に特定のライブラリ(*.jar)ファイルを必要としません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE02.MSG006");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE02.MSG007]
     *
     * [  3.ドキュメント指向] (ja)<br>
     *
     * @return key[PAGE02.MSG007]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage02Msg007() {
        // 初期値として定義書の値を利用します。
        String strFormat = "  3.ドキュメント指向";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE02.MSG007");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE02.MSG008]
     *
     * [    リソースバンドル定義書を入力として動作します。] (ja)<br>
     *
     * @return key[PAGE02.MSG008]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage02Msg008() {
        // 初期値として定義書の値を利用します。
        String strFormat = "    リソースバンドル定義書を入力として動作します。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE02.MSG008");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE02.MSG009]
     *
     * [    ドキュメント指向であるため、ドキュメントとプロパティファイルおよびソースコードとの同期を自然に実現することが出来ます。] (ja)<br>
     *
     * @return key[PAGE02.MSG009]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage02Msg009() {
        // 初期値として定義書の値を利用します。
        String strFormat = "    ドキュメント指向であるため、ドキュメントとプロパティファイルおよびソースコードとの同期を自然に実現することが出来ます。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE02.MSG009");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE03.TITLE]
     *
     * [blancoResourceBundleプラグインのインストール] (ja)<br>
     *
     * @return key[PAGE03.TITLE]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage03Title() {
        // 初期値として定義書の値を利用します。
        String strFormat = "blancoResourceBundleプラグインのインストール";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE03.TITLE");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE03.MSG001]
     *
     * [blancoResourceBundleプラグインを動作させるためには、下記のものが必要です。] (ja)<br>
     *
     * @return key[PAGE03.MSG001]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage03Msg001() {
        // 初期値として定義書の値を利用します。
        String strFormat = "blancoResourceBundleプラグインを動作させるためには、下記のものが必要です。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE03.MSG001");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE03.MSG002]
     *
     * [  1.Eclipse 3.0またはそれ以上のバージョンのEclipse。] (ja)<br>
     *
     * @return key[PAGE03.MSG002]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage03Msg002() {
        // 初期値として定義書の値を利用します。
        String strFormat = "  1.Eclipse 3.0またはそれ以上のバージョンのEclipse。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE03.MSG002");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE03.MSG003]
     *
     * [  2.Excel(*.xls)ファイル形式を読み書き可能なアプリケーションソフト。] (ja)<br>
     *
     * @return key[PAGE03.MSG003]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage03Msg003() {
        // 初期値として定義書の値を利用します。
        String strFormat = "  2.Excel(*.xls)ファイル形式を読み書き可能なアプリケーションソフト。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE03.MSG003");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE03.MSG004]
     *
     * [    リソースバンドル定義は Excel(*.xls)ファイル形式で保存します。] (ja)<br>
     *
     * @return key[PAGE03.MSG004]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage03Msg004() {
        // 初期値として定義書の値を利用します。
        String strFormat = "    リソースバンドル定義は Excel(*.xls)ファイル形式で保存します。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE03.MSG004");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE03.MSG005]
     *
     * [    このため Excel(*.xls)ファイル形式を読み書き可能なアプリケーションソフトが必要になります。] (ja)<br>
     *
     * @return key[PAGE03.MSG005]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage03Msg005() {
        // 初期値として定義書の値を利用します。
        String strFormat = "    このため Excel(*.xls)ファイル形式を読み書き可能なアプリケーションソフトが必要になります。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE03.MSG005");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE04.TITLE]
     *
     * [blancoResourceBundleプラグインに関連するフォルダ] (ja)<br>
     *
     * @return key[PAGE04.TITLE]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage04Title() {
        // 初期値として定義書の値を利用します。
        String strFormat = "blancoResourceBundleプラグインに関連するフォルダ";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE04.TITLE");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE04.MSG001]
     *
     * [blancoResourceBundleプラグインに関連するフォルダは下記のとおりです。] (ja)<br>
     *
     * @return key[PAGE04.MSG001]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage04Msg001() {
        // 初期値として定義書の値を利用します。
        String strFormat = "blancoResourceBundleプラグインに関連するフォルダは下記のとおりです。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE04.MSG001");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE04.MSG002]
     *
     * [  1.ソースフォルダ (フォルダ名は src を推奨)] (ja)<br>
     *
     * @return key[PAGE04.MSG002]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage04Msg002() {
        // 初期値として定義書の値を利用します。
        String strFormat = "  1.ソースフォルダ (フォルダ名は src を推奨)";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE04.MSG002");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE04.MSG003]
     *
     * [    ソースフォルダを設定(作成)することを強く推奨します。] (ja)<br>
     *
     * @return key[PAGE04.MSG003]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage04Msg003() {
        // 初期値として定義書の値を利用します。
        String strFormat = "    ソースフォルダを設定(作成)することを強く推奨します。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE04.MSG003");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE04.MSG004]
     *
     * [  2.メタディレクトリ (フォルダ名は meta/resourcebundle を強く推奨します)] (ja)<br>
     *
     * @return key[PAGE04.MSG004]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage04Msg004() {
        // 初期値として定義書の値を利用します。
        String strFormat = "  2.メタディレクトリ (フォルダ名は meta/resourcebundle を強く推奨します)";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE04.MSG004");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE04.MSG005]
     *
     * [    リソースバンドル定義書が格納されます。] (ja)<br>
     *
     * @return key[PAGE04.MSG005]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage04Msg005() {
        // 初期値として定義書の値を利用します。
        String strFormat = "    リソースバンドル定義書が格納されます。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE04.MSG005");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE04.MSG006]
     *
     * [  3.テンポラリディレクトリ (フォルダ名は tmp となります)] (ja)<br>
     *
     * @return key[PAGE04.MSG006]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage04Msg006() {
        // 初期値として定義書の値を利用します。
        String strFormat = "  3.テンポラリディレクトリ (フォルダ名は tmp となります)";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE04.MSG006");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoResourceBundleWizard], key[PAGE04.MSG007]
     *
     * [  4.ソースコード生成ディレクトリ (フォルダ名は blanco/main となります)] (ja)<br>
     *
     * @return key[PAGE04.MSG007]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPage04Msg007() {
        // 初期値として定義書の値を利用します。
        String strFormat = "  4.ソースコード生成ディレクトリ (フォルダ名は blanco/main となります)";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PAGE04.MSG007");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }
}
